Retrieves basic information about a specific tracker.

This endpoint returns a number of parameters associated with a given tracker identifier (tracker_oid).
The following parameters will be returned:

  • oid - The tracker's unique internal identifier.
  • tracker_id - The tracker_id is the tracker's unique identifier e.g. VIN, IMEI, license plate number...
    The format of this value depends of the provider of your tracker:
    • Option 1: for the HTML5 importer the tracker IDs can be customized. It is up to the owner to specify an identifier.
    • Option 2: for the regular data providers this is defined by each provider, as specified in the following list:
      • Mercedes-Benz: VIN
      • Cartrack: VIN or license plate
      • BMW: VIN
  • object_id - The object_id is a dictionary that contains information about the identity of the tracked object, such as the VIN or the license plate number.
  • provider - The provider of the tracker, e.g. Mercedes-Benz, BMW...
  • type - The tracker type, e.g. OEM, OBD, ...
  • vehicle_type - The vehicle type, e.g. car, van, motorcycle...
  • start_date - The date when the tracker was registered on the platform.
  • end_date - The date when the tracker was deregistered on the platform.
  • moving - Boolean parameter that specifies if the tracker is currently in movement.
  • heartbeat - Timestamp of the trackers' latest data.
  • validation_status - Tracker's current status within the validation chain. For example: pending, pending validation, error_access, connected.
  • external_validation_data - An optional parameter which contains validation information from third-party data providers.
  • foreign_tracker_id - The identity of the tracker on a third-party data provider platform.
  • company_oid - The unique identifier of the company to which the tracker belongs.
  • motorization - An optional parameter which specifies the motorization of the vehicle in which the tracker is installed. Options include gasoline, diesel, electric, hydrogen, PHEV and others.
  • position - The coordinates in WGS84-format of the last position received from the tracker.
  • properties - A dictionary containing a key-value pair for each tracker property. For each property name (key), it contains a sub-dictionary (value), containing the last received reading and the associated timestamp. For properties with no associated value it will be set to None.
Recipes
🚙
Get information about a tracker
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Tracker OID.

Query Params
boolean
Defaults to true

Return the description, possible values, unit and UN/CEFACT Common Code for each property.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json